from __future__ import print_function
import numpy as np
import re
from ICP import *

# reading the pointclouds, from the inner folder new_data
original_pointcloud= 'new_data/pointcloud.xyz'
changed_pointcloud = 'new_data/changed_pointcloud.xyz'
points = parse_pointcloud(original_pointcloud)
changed_points = parse_pointcloud(changed_pointcloud)

# this is the starting transformation array [alpha, beta, gamma, Rx, Ry, Rz]
# this is our target, we are trying to optimize this,
target = np.array([[0.01], [0.01], [0.01], [0.001], [0.001], [0.001]])
runICP(points,changed_points,target,0)